### Function

# GLib SourceFuncsDispatchFunc

since: 2.82

#### Declaration

    gboolean
    (* GSourceFuncsDispatchFunc) (
      GSource* source,
      GSourceFunc callback,
      gpointer user_data
    )

#### Description [src]

Dispatches the source callback.

Called to dispatch the event source, after it has returned `TRUE` in either its prepare or its check function, or if a ready time has been reached. The dispatch function receives a callback function and user data. The callback function may be `NULL` if the source was never connected to a callback using `g_source_set_callback()`. The dispatch function should call the callback function with `user_data` and whatever additional parameters are needed for this type of event source. The return value of the dispatch function should be `G_SOURCE_REMOVE` if the source should be removed or `G_SOURCE_CONTINUE` to keep it.

Available since: 2.82

This function is not directly available to language bindings.

#### Parameters

`source`

  Type: `GSource`

  The `GSource`.

  The data is owned by the caller of the function.

`callback`

  Type: `GSourceFunc`

  The `GSourceFunc` to call.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`G_SOURCE_REMOVE` if the source should be removed, `G_SOURCE_CONTINUE` otherwise.